# Spoofify [![Build Status](https://secure.travis-ci.org/spoofifyapp/spoofify.png?branch=master)](http://travis-ci.org/spoofifyapp/spoofify)

**Don't let apps steel your data! Get to know your Android smartphone.**

---

## The future of the project

This project is currently paused because the developers just don't have enough time to build something new.

If you want to take the project or build something fancy with the source code, please contact Lukas at <lukas@lu-x.me>.

---

## What is Spoofify?

Spoofify is an Android demo app for permission based data piracy. With every single app installation you'll have to confirm that the installed app will have certain permissions. But did you ever think about what each permission does really allow?

Spoofify illustrates how easily private data can be accessed and stolen from your Android smartphone.

## How to contribute?

As Spoofify is developed as open source, we need some help to kickstart our project. Here are some possibilities:

  - Open an issue for bugfixing or a feature request
  - Fork the repo and send us a pull request
  - Watch our [project backlog](https://trello.com/spoofifyapp) and… 
  	- vote for your favorite feature requests
  	- [contact us](http://spoofifyapp.org/contact/) to request a new feature
  	- request an invite for the development board to
  		- Discuss for technical implementation questions
  		- Vote for next iteration tasks
  - Translate and verify the [localization](https://github.com/spoofifyapp/spoofify-localization) (l10n) for common used languages (English, German, French, ...)
  - Feel free to [contact us](http://spoofifyapp.org/contact/)

### Please take care of our coding conventions:

  - Use 2 spaces for indents (no tabs)
    - If using Sublime Text 2, just use the project files in the `sublimetext` dir to automatically code with this convention! :)
  - Use English language for variables, comments and function names
  - Comment every <del>non-elementary</del> <ins>single</ins> set of instructions (so it's much easier to read and edit the code)
  - Use the [Wiki](https://github.com/spoofifyapp/spoofify/wiki) for additional documentation purposes
  - Take care of our API (also in our [Wiki](https://github.com/spoofifyapp/spoofify/wiki))

## Missing anything?

Take a look at our [Wiki](https://github.com/spoofifyapp/spoofify/wiki) and start editing ;-)

## Main contributors

<table style="with: 100%">
	<tr>
		<th style="width: 5%"></th>
		<th style="width: 32%">Lukas (vis7mac)</th>
		<th style="width: 32%">Nils (wibuni)</th>
		<th style="width: 32%">Sebastian (TrueSebi)</th></tr>
	<tr>
		<td>Role</td>
		<td><ul><li>Project management</li><li>Frontend developer</li><li>Backend developer</li><li>API design</li></ul></td>
		<td><ul><li>Head of DevOps, CTO</li><li>Backend developer</li></ul></td>
		<td><ul><li>Public Relations</li><li>Head of Support</li></ul></td>
	</tr>
	<tr>
		<td>Contact</td>
		<td><ul><li><a href="https://twitter.com/vis7mac">Twitter</a></li><li><a href="https://github.com/vis7mac">GitHub</a></li><li><a href="mailto:lukas@spoofifyapp.org">Mail</a></li></ul></td>
		<td><ul><li><a href="https://twitter.com/wibuni">Twitter</a></li><li><a href="https://github.com/wibuni">GitHub</a></li><li><a href="mailto:nils@spoofifyapp.org">Mail</a></li></ul></td>
		<td><ul><li><a href="https://twitter.com/TrueSebi">Twitter</a></li><li><a href="https://github.com/TrueSebi">GitHub</a></li><li><a href="mailto:sebastian@spoofifyapp.org">Mail</a></li></ul></a></td>
	</tr>
	<tr><td></td><td></td><td></td><td><strong>For support, please visit <a href="http://spoofifyapp.org/contact/support">our support page!</strong></td></tr>
</table>

## License

	Copyright (c) 2012 Spoofifyapp <support@spoofifyapp.org>

	Licensed under the Apache License, Version 2.0 (the "License");
	you may not use this file except in compliance with the License.
	You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

	Unless required by applicable law or agreed to in writing, software
	distributed under the License is distributed on an "AS IS" BASIS,
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the License for the specific language governing permissions and
	limitations under the License.

## Trademarks

Android is a trademark of Google, Inc.
